RagTimeParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a RagTimeParser. More...

Inheritance diagram for RagTimeParserInternal::SubDocument:

## Public Member Functions

| SubDocument (RagTimeParser &pars, MWAWInputStreamPtr const &input, int zoneId)
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes

int | m_id
| the subdocument id
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Detailed Description

Internal: the subdocument of a RagTimeParser.

## Constructor & Destructor Documentation

## SubDocument()

RagTimeParserInternal::SubDocument::SubDocument | ( | RagTimeParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | int | zoneId )

inline

Referenced by operator!=().

## ~SubDocument()

RagTimeParserInternal::SubDocument::~SubDocument | ( |  | ) |

inline final

destructor

## Member Function Documentation

## operator!=()

bool RagTimeParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

final virtual

operator!=

Reimplemented from MWAWSubDocument.

## parse()

void RagTimeParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )

final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## m_id

int RagTimeParserInternal::SubDocument::m_id

protected

the subdocument id

Referenced by operator!=(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- RagTimeParser.cxx